<?php

namespace Truevo\PaymentGateway\Model\Ui;

use Magento\Checkout\Model\ConfigProviderInterface;
use Truevo\PaymentGateway\Model\TruevoConfig;

/**
 * Class ConfigProvider
 */
final class ConfigProvider implements ConfigProviderInterface
{
    const CODE = 'truevo_card_payment';

    /** @var TruevoConfig  */
    protected $_truevoConfig;
 
    public function __construct(TruevoConfig $truevoConfig)
    {
        $this->_truevoConfig = $truevoConfig;
    }

    /**
     * Retrieve assoc array of checkout configuration
     *
     * @return array
     */
    public function getConfig()
    {
        return [
            'payment' => [
                self::CODE => [
                    'description' => $this->_truevoConfig->getDescription(),
                    'transactionResults' => [
                        1 => __('Success'),
                        2 => __('Fraud')
                    ]
                ]
            ]
        ];
    }
}